Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network87.0.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
87.0.0.0
Broadcast address
87.1.255.255
First usable
87.0.0.1
Last usable
87.1.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 57000000 · Integer 1459617792 to 1459748863
Reverse DNS zones
0.87.in-addr.arpa
1.87.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010111.00000000.00000000.0000000087.0.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01010111.00000000.00000000.0000000087.0.0.0
Broadcast01010111.00000001.11111111.1111111187.1.255.255
Split into smaller subnets/22

87.0.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
187.0.0.0/2287.0.0.1 to 87.0.3.25487.0.3.2551,022
287.0.4.0/2287.0.4.1 to 87.0.7.25487.0.7.2551,022
387.0.8.0/2287.0.8.1 to 87.0.11.25487.0.11.2551,022
487.0.12.0/2287.0.12.1 to 87.0.15.25487.0.15.2551,022
587.0.16.0/2287.0.16.1 to 87.0.19.25487.0.19.2551,022
687.0.20.0/2287.0.20.1 to 87.0.23.25487.0.23.2551,022
787.0.24.0/2287.0.24.1 to 87.0.27.25487.0.27.2551,022
887.0.28.0/2287.0.28.1 to 87.0.31.25487.0.31.2551,022
987.0.32.0/2287.0.32.1 to 87.0.35.25487.0.35.2551,022
1087.0.36.0/2287.0.36.1 to 87.0.39.25487.0.39.2551,022
1187.0.40.0/2287.0.40.1 to 87.0.43.25487.0.43.2551,022
1287.0.44.0/2287.0.44.1 to 87.0.47.25487.0.47.2551,022
1387.0.48.0/2287.0.48.1 to 87.0.51.25487.0.51.2551,022
1487.0.52.0/2287.0.52.1 to 87.0.55.25487.0.55.2551,022
1587.0.56.0/2287.0.56.1 to 87.0.59.25487.0.59.2551,022
1687.0.60.0/2287.0.60.1 to 87.0.63.25487.0.63.2551,022
1787.0.64.0/2287.0.64.1 to 87.0.67.25487.0.67.2551,022
1887.0.68.0/2287.0.68.1 to 87.0.71.25487.0.71.2551,022
1987.0.72.0/2287.0.72.1 to 87.0.75.25487.0.75.2551,022
2087.0.76.0/2287.0.76.1 to 87.0.79.25487.0.79.2551,022
2187.0.80.0/2287.0.80.1 to 87.0.83.25487.0.83.2551,022
2287.0.84.0/2287.0.84.1 to 87.0.87.25487.0.87.2551,022
2387.0.88.0/2287.0.88.1 to 87.0.91.25487.0.91.2551,022
2487.0.92.0/2287.0.92.1 to 87.0.95.25487.0.95.2551,022
2587.0.96.0/2287.0.96.1 to 87.0.99.25487.0.99.2551,022
2687.0.100.0/2287.0.100.1 to 87.0.103.25487.0.103.2551,022
2787.0.104.0/2287.0.104.1 to 87.0.107.25487.0.107.2551,022
2887.0.108.0/2287.0.108.1 to 87.0.111.25487.0.111.2551,022
2987.0.112.0/2287.0.112.1 to 87.0.115.25487.0.115.2551,022
3087.0.116.0/2287.0.116.1 to 87.0.119.25487.0.119.2551,022
3187.0.120.0/2287.0.120.1 to 87.0.123.25487.0.123.2551,022
3287.0.124.0/2287.0.124.1 to 87.0.127.25487.0.127.2551,022
3387.0.128.0/2287.0.128.1 to 87.0.131.25487.0.131.2551,022
3487.0.132.0/2287.0.132.1 to 87.0.135.25487.0.135.2551,022
3587.0.136.0/2287.0.136.1 to 87.0.139.25487.0.139.2551,022
3687.0.140.0/2287.0.140.1 to 87.0.143.25487.0.143.2551,022
3787.0.144.0/2287.0.144.1 to 87.0.147.25487.0.147.2551,022
3887.0.148.0/2287.0.148.1 to 87.0.151.25487.0.151.2551,022
3987.0.152.0/2287.0.152.1 to 87.0.155.25487.0.155.2551,022
4087.0.156.0/2287.0.156.1 to 87.0.159.25487.0.159.2551,022
4187.0.160.0/2287.0.160.1 to 87.0.163.25487.0.163.2551,022
4287.0.164.0/2287.0.164.1 to 87.0.167.25487.0.167.2551,022
4387.0.168.0/2287.0.168.1 to 87.0.171.25487.0.171.2551,022
4487.0.172.0/2287.0.172.1 to 87.0.175.25487.0.175.2551,022
4587.0.176.0/2287.0.176.1 to 87.0.179.25487.0.179.2551,022
4687.0.180.0/2287.0.180.1 to 87.0.183.25487.0.183.2551,022
4787.0.184.0/2287.0.184.1 to 87.0.187.25487.0.187.2551,022
4887.0.188.0/2287.0.188.1 to 87.0.191.25487.0.191.2551,022
4987.0.192.0/2287.0.192.1 to 87.0.195.25487.0.195.2551,022
5087.0.196.0/2287.0.196.1 to 87.0.199.25487.0.199.2551,022
5187.0.200.0/2287.0.200.1 to 87.0.203.25487.0.203.2551,022
5287.0.204.0/2287.0.204.1 to 87.0.207.25487.0.207.2551,022
5387.0.208.0/2287.0.208.1 to 87.0.211.25487.0.211.2551,022
5487.0.212.0/2287.0.212.1 to 87.0.215.25487.0.215.2551,022
5587.0.216.0/2287.0.216.1 to 87.0.219.25487.0.219.2551,022
5687.0.220.0/2287.0.220.1 to 87.0.223.25487.0.223.2551,022
5787.0.224.0/2287.0.224.1 to 87.0.227.25487.0.227.2551,022
5887.0.228.0/2287.0.228.1 to 87.0.231.25487.0.231.2551,022
5987.0.232.0/2287.0.232.1 to 87.0.235.25487.0.235.2551,022
6087.0.236.0/2287.0.236.1 to 87.0.239.25487.0.239.2551,022
6187.0.240.0/2287.0.240.1 to 87.0.243.25487.0.243.2551,022
6287.0.244.0/2287.0.244.1 to 87.0.247.25487.0.247.2551,022
6387.0.248.0/2287.0.248.1 to 87.0.251.25487.0.251.2551,022
6487.0.252.0/2287.0.252.1 to 87.0.255.25487.0.255.2551,022
6587.1.0.0/2287.1.0.1 to 87.1.3.25487.1.3.2551,022
6687.1.4.0/2287.1.4.1 to 87.1.7.25487.1.7.2551,022
6787.1.8.0/2287.1.8.1 to 87.1.11.25487.1.11.2551,022
6887.1.12.0/2287.1.12.1 to 87.1.15.25487.1.15.2551,022
6987.1.16.0/2287.1.16.1 to 87.1.19.25487.1.19.2551,022
7087.1.20.0/2287.1.20.1 to 87.1.23.25487.1.23.2551,022
7187.1.24.0/2287.1.24.1 to 87.1.27.25487.1.27.2551,022
7287.1.28.0/2287.1.28.1 to 87.1.31.25487.1.31.2551,022
7387.1.32.0/2287.1.32.1 to 87.1.35.25487.1.35.2551,022
7487.1.36.0/2287.1.36.1 to 87.1.39.25487.1.39.2551,022
7587.1.40.0/2287.1.40.1 to 87.1.43.25487.1.43.2551,022
7687.1.44.0/2287.1.44.1 to 87.1.47.25487.1.47.2551,022
7787.1.48.0/2287.1.48.1 to 87.1.51.25487.1.51.2551,022
7887.1.52.0/2287.1.52.1 to 87.1.55.25487.1.55.2551,022
7987.1.56.0/2287.1.56.1 to 87.1.59.25487.1.59.2551,022
8087.1.60.0/2287.1.60.1 to 87.1.63.25487.1.63.2551,022
8187.1.64.0/2287.1.64.1 to 87.1.67.25487.1.67.2551,022
8287.1.68.0/2287.1.68.1 to 87.1.71.25487.1.71.2551,022
8387.1.72.0/2287.1.72.1 to 87.1.75.25487.1.75.2551,022
8487.1.76.0/2287.1.76.1 to 87.1.79.25487.1.79.2551,022
8587.1.80.0/2287.1.80.1 to 87.1.83.25487.1.83.2551,022
8687.1.84.0/2287.1.84.1 to 87.1.87.25487.1.87.2551,022
8787.1.88.0/2287.1.88.1 to 87.1.91.25487.1.91.2551,022
8887.1.92.0/2287.1.92.1 to 87.1.95.25487.1.95.2551,022
8987.1.96.0/2287.1.96.1 to 87.1.99.25487.1.99.2551,022
9087.1.100.0/2287.1.100.1 to 87.1.103.25487.1.103.2551,022
9187.1.104.0/2287.1.104.1 to 87.1.107.25487.1.107.2551,022
9287.1.108.0/2287.1.108.1 to 87.1.111.25487.1.111.2551,022
9387.1.112.0/2287.1.112.1 to 87.1.115.25487.1.115.2551,022
9487.1.116.0/2287.1.116.1 to 87.1.119.25487.1.119.2551,022
9587.1.120.0/2287.1.120.1 to 87.1.123.25487.1.123.2551,022
9687.1.124.0/2287.1.124.1 to 87.1.127.25487.1.127.2551,022
9787.1.128.0/2287.1.128.1 to 87.1.131.25487.1.131.2551,022
9887.1.132.0/2287.1.132.1 to 87.1.135.25487.1.135.2551,022
9987.1.136.0/2287.1.136.1 to 87.1.139.25487.1.139.2551,022
10087.1.140.0/2287.1.140.1 to 87.1.143.25487.1.143.2551,022
10187.1.144.0/2287.1.144.1 to 87.1.147.25487.1.147.2551,022
10287.1.148.0/2287.1.148.1 to 87.1.151.25487.1.151.2551,022
10387.1.152.0/2287.1.152.1 to 87.1.155.25487.1.155.2551,022
10487.1.156.0/2287.1.156.1 to 87.1.159.25487.1.159.2551,022
10587.1.160.0/2287.1.160.1 to 87.1.163.25487.1.163.2551,022
10687.1.164.0/2287.1.164.1 to 87.1.167.25487.1.167.2551,022
10787.1.168.0/2287.1.168.1 to 87.1.171.25487.1.171.2551,022
10887.1.172.0/2287.1.172.1 to 87.1.175.25487.1.175.2551,022
10987.1.176.0/2287.1.176.1 to 87.1.179.25487.1.179.2551,022
11087.1.180.0/2287.1.180.1 to 87.1.183.25487.1.183.2551,022
11187.1.184.0/2287.1.184.1 to 87.1.187.25487.1.187.2551,022
11287.1.188.0/2287.1.188.1 to 87.1.191.25487.1.191.2551,022
11387.1.192.0/2287.1.192.1 to 87.1.195.25487.1.195.2551,022
11487.1.196.0/2287.1.196.1 to 87.1.199.25487.1.199.2551,022
11587.1.200.0/2287.1.200.1 to 87.1.203.25487.1.203.2551,022
11687.1.204.0/2287.1.204.1 to 87.1.207.25487.1.207.2551,022
11787.1.208.0/2287.1.208.1 to 87.1.211.25487.1.211.2551,022
11887.1.212.0/2287.1.212.1 to 87.1.215.25487.1.215.2551,022
11987.1.216.0/2287.1.216.1 to 87.1.219.25487.1.219.2551,022
12087.1.220.0/2287.1.220.1 to 87.1.223.25487.1.223.2551,022
12187.1.224.0/2287.1.224.1 to 87.1.227.25487.1.227.2551,022
12287.1.228.0/2287.1.228.1 to 87.1.231.25487.1.231.2551,022
12387.1.232.0/2287.1.232.1 to 87.1.235.25487.1.235.2551,022
12487.1.236.0/2287.1.236.1 to 87.1.239.25487.1.239.2551,022
12587.1.240.0/2287.1.240.1 to 87.1.243.25487.1.243.2551,022
12687.1.244.0/2287.1.244.1 to 87.1.247.25487.1.247.2551,022
12787.1.248.0/2287.1.248.1 to 87.1.251.25487.1.251.2551,022
12887.1.252.0/2287.1.252.1 to 87.1.255.25487.1.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses